%global debug_package %{nil}

Name: python-pyasn1
Epoch: 100
Version: 0.4.8
Release: 1%{?dist}
BuildArch: noarch
Summary: ASN.1 tools for Python
License: BSD-2-Clause
URL: https://github.com/etingof/pyasn1/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
This is an implementation of ASN.1 types and codecs in the Python
programming language.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-pyasn1
Summary: ASN.1 tools for Python
Requires: python3
Provides: python3-pyasn1 = %{epoch}:%{version}-%{release}
Provides: python3dist(pyasn1) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-pyasn1 = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(pyasn1) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-pyasn1 = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(pyasn1) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-pyasn1
This is an implementation of ASN.1 types and codecs in the Python
programming language.

%files -n python%{python3_version_nodots}-pyasn1
%license LICENSE.rst
%{python3_sitelib}/pyasn1*
%endif

%if !(0%{?suse_version} > 1500)
%package -n python3-pyasn1
Summary: ASN.1 tools for Python
Requires: python3
Provides: python3-pyasn1 = %{epoch}:%{version}-%{release}
Provides: python3dist(pyasn1) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-pyasn1 = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(pyasn1) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-pyasn1 = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(pyasn1) = %{epoch}:%{version}-%{release}

%description -n python3-pyasn1
This is an implementation of ASN.1 types and codecs in the Python
programming language.

%files -n python3-pyasn1
%license LICENSE.rst
%{python3_sitelib}/pyasn1*
%endif

%changelog
